package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.TApplyRecord;

import java.util.Map;

public interface TApplyRecordService extends IService<TApplyRecord> {
    boolean insertInfo(TApplyRecord tApplyRecord);

    boolean updateRecordById(TApplyRecord tApplyRecord);

    Map<String, Object> getList(String epc);



    IPage<TApplyRecord> getRecordPage(Page page, TApplyRecord tApplyRecord);

    IPage<TApplyRecord> getListByPage(Page page, TApplyRecord tApplyRecord);
}
